summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-03-24 04:03:54 +0000
committerMike Frysinger <vapier@gentoo.org>2006-03-24 04:03:54 +0000
commit874e8e08fd863b70d850663bcf55c615e645e3be (patch)
tree0d987c41f12dd8c69efc32c37005b0f102830459 /eclass/toolchain.eclass
parentMark 7.15.1-r1 stable on ia64. #125766 (diff)
downloadhistorical-874e8e08fd863b70d850663bcf55c615e645e3be.tar.gz
historical-874e8e08fd863b70d850663bcf55c615e645e3be.tar.bz2
historical-874e8e08fd863b70d850663bcf55c615e645e3be.zip
dont build doxygen docs unless USE=doc
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 90f4f66e9f7f..dcb4edad5bcc 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.253 2006/03/23 23:02:07 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.254 2006/03/24 04:03:54 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -135,7 +135,7 @@ else
IUSE="multislot"
if [[ ${PN} != "kgcc64" ]] ; then
- IUSE="${IUSE} altivec bootstrap build fortran gcj gtk hardened multilib nls nocxx objc vanilla"
+ IUSE="${IUSE} altivec bootstrap build doc fortran gcj gtk hardened multilib nls nocxx objc vanilla"
[[ -n ${PIE_VER} ]] && IUSE="${IUSE} nopie"
[[ -n ${PP_VER} ]] && IUSE="${IUSE} nossp"
[[ -n ${HTB_VER} ]] && IUSE="${IUSE} boundschecking"
@@ -1360,7 +1360,7 @@ gcc_do_make() {
${GCC_MAKE_TARGET} \
|| die "emake failed with ${GCC_MAKE_TARGET}"
- if ! use build && ! is_crosscompile && ! use nocxx ; then
+ if ! use build && ! is_crosscompile && ! use nocxx && use doc ; then
if type -p doxygen > /dev/null ; then
cd "${CTARGET}"/libstdc++-v3
make doxygen-man || ewarn "failed to make docs"